Bug 832501 - SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
Summary: SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/pas...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 17
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:269eff2ce73f22abb0bc1f73b59...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-06-15 14:48 UTC by Andre Robatino
Modified: 2012-07-19 09:17 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-20 00:29:20 UTC
Type: ---


Attachments (Terms of Use)

Description Andre Robatino 2012-06-15 14:48:37 UTC
libreport version: 2.0.10
executable:     /usr/bin/python2.7
hashmarkername: setroubleshoot
kernel:         3.4.0-1.fc17.x86_64
time:           Fri 15 Jun 2012 10:47:24 AM EDT

description:
:SELinux is preventing /usr/bin/bash from 'read' accesses on the file /etc/passwd.
:
:*****  Plugin catchall (100. confidence) suggests  ***************************
:
:If you believe that bash should be allowed read access on the passwd file by default.
:Then you should report this as a bug.
:You can generate a local policy module to allow this access.
:Do
:allow this access for now by executing:
:# grep apccontrol /var/log/audit/audit.log | audit2allow -M mypol
:# semodule -i mypol.pp
:
:Additional Information:
:Source Context                system_u:system_r:apcupsd_t:s0
:Target Context                system_u:object_r:passwd_file_t:s0
:Target Objects                /etc/passwd [ file ]
:Source                        apccontrol
:Source Path                   /usr/bin/bash
:Port                          <Unknown>
:Host                          (removed)
:Source RPM Packages           bash-4.2.29-1.fc17.x86_64
:Target RPM Packages           setup-2.8.48-1.fc17.noarch
:Policy RPM                    selinux-policy-3.10.0-128.fc17.noarch
:Selinux Enabled               True
:Policy Type                   targeted
:Enforcing Mode                Enforcing
:Host Name                     (removed)
:Platform                      Linux (removed) 3.4.0-1.fc17.x86_64 #1 SMP Sun Jun
:                              3 06:35:17 UTC 2012 x86_64 x86_64
:Alert Count                   2
:First Seen                    Fri 15 Jun 2012 06:39:46 AM EDT
:Last Seen                     Fri 15 Jun 2012 06:39:48 AM EDT
:Local ID                      068c8906-e6c0-4432-a0df-aa5fd096743e
:
:Raw Audit Messages
:type=AVC msg=audit(1339756788.86:568): avc:  denied  { read } for  pid=20950 comm="apccontrol" name="passwd" dev="dm-1" ino=50334369 scontext=system_u:system_r:apcupsd_t:s0 tcontext=system_u:object_r:passwd_file_t:s0 tclass=file
:
:
:type=SYSCALL msg=audit(1339756788.86:568): arch=x86_64 syscall=open success=no exit=EACCES a0=7f8cd03ad6ca a1=80000 a2=1b6 a3=238 items=0 ppid=873 pid=20950 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 tty=(none) ses=4294967295 comm=apccontrol exe=/usr/bin/bash subj=system_u:system_r:apcupsd_t:s0 key=(null)
:
:Hash: apccontrol,apcupsd_t,passwd_file_t,file,read
:
:audit2allowunable to open /sys/fs/selinux/policy:  Permission denied
:
:
:audit2allow -Runable to open /sys/fs/selinux/policy:  Permission denied
:
:

Comment 1 Daniel Walsh 2012-06-15 16:01:52 UTC
Fixed in selinux-policy-3.10.0-132.fc17

Comment 2 Fedora Update System 2012-06-19 07:58:56 UTC
selinux-policy-3.10.0-132.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/selinux-policy-3.10.0-132.fc17

Comment 3 Fedora Update System 2012-06-20 00:29:20 UTC
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2012-07-19 09:17:22 UTC
selinux-policy-3.10.0-132.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.